<beans xmlns="http://www.springframework.org/schema/beans"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://www.springframework.org/schema/beans
	http://www.springframework.org/schema/beans/spring-beans-2.5.xsd">

	<bean id="checkScheduler"
		class="org.gridvise.event.streams.checkschedule.CheckScheduler">
		<property name="scheduleConfig">
			<list>
				<!--ref bean="oschecks" /-->
                <!--ref bean="jmxchecks" /-->
			</list>
		</property>
	</bean>

	<bean id="oschecks"
		class="org.gridvise.event.streams.checkschedule.ScheduleConfig">
		<constructor-arg>
			<!-- scheduleName -->
			<value>oschecks</value>
		</constructor-arg>
		<!-- interval in seconds -->
		<constructor-arg type="java.lang.Integer">
			<value>1</value>
		</constructor-arg>
		<!-- list of Checks -->
		<constructor-arg type="java.util.List">
			<list>
				<bean class="org.gridvise.event.streams.oschecks.PIDsStillExistChecker" />
				<bean class="org.gridvise.event.streams.oschecks.CPPUChecker" />
			</list>
		</constructor-arg>
	</bean>
	<bean id="jmxchecks"
		class="org.gridvise.event.streams.checkschedule.ScheduleConfig">
		<constructor-arg>
			<!-- scheduleName -->
			<value>jmxchecks</value>
		</constructor-arg>
		<!-- interval in seconds -->
		<constructor-arg type="java.lang.Integer">
			<value>1</value>
		</constructor-arg>
		<!-- list of Checks -->
		<constructor-arg type="java.util.List">
			<list>
				<bean class="org.gridvise.event.streams.jmx.JmxCheck">
					<constructor-arg>
						<value>Coherence:type=Service,name=*,nodeId=*</value>
					</constructor-arg>
					<constructor-arg>
						<value>ThreadIdleCount</value>
					</constructor-arg>
					<constructor-arg type="java.lang.Integer">
						<value>2</value>
					</constructor-arg>
					<constructor-arg>
						<value>LessThen</value>
					</constructor-arg>
				</bean>
			</list>
		</constructor-arg>
	</bean>

</beans>